package com.mortals.xhx.base.system.user.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.base.system.user.model.UserEntity;
/**
 * 用户信息业务查询对象
 *
 * @author zxfei
 * @date 2023-03-09
 */
public class UserQuery extends UserEntity {
    /** 开始 用户ID，主键，自增长 */
    private Long idStart;

    /** 结束 用户ID，主键，自增长 */
    private Long idEnd;

    /** 增加 用户ID，主键，自增长 */
    private Long idIncrement;

    /** 用户ID，主键，自增长列表 */
    private List <Long> idList;

    /** 用户ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 登录名 */
    private List<String> loginNameList;

    /** 登录名排除列表 */
    private List <String> loginNameNotList;
    /** 登录密码，使用md5双次加密 */
    private List<String> loginPwdList;

    /** 登录密码，使用md5双次加密排除列表 */
    private List <String> loginPwdNotList;
    /** 登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录 */
    private List<String> loginLimitAddressList;

    /** 登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录排除列表 */
    private List <String> loginLimitAddressNotList;
    /** 用户名 */
    private List<String> realNameList;

    /** 用户名排除列表 */
    private List <String> realNameNotList;
    /** 用户手机号 */
    private List<String> mobileList;

    /** 用户手机号排除列表 */
    private List <String> mobileNotList;
    /** 用户联系电话 */
    private List<String> phoneList;

    /** 用户联系电话排除列表 */
    private List <String> phoneNotList;
    /** 用户邮箱 */
    private List<String> emailList;

    /** 用户邮箱排除列表 */
    private List <String> emailNotList;
    /** QQ号码 */
    private List<String> qqList;

    /** QQ号码排除列表 */
    private List <String> qqNotList;
    /** 开始 用户类型(0.系统用户,1.后台管理,2.工作人员) */
    private Integer userTypeStart;

    /** 结束 用户类型(0.系统用户,1.后台管理,2.工作人员) */
    private Integer userTypeEnd;

    /** 增加 用户类型(0.系统用户,1.后台管理,2.工作人员) */
    private Integer userTypeIncrement;

    /** 用户类型(0.系统用户,1.后台管理,2.工作人员)列表 */
    private List <Integer> userTypeList;

    /** 用户类型(0.系统用户,1.后台管理,2.工作人员)排除列表 */
    private List <Integer> userTypeNotList;

    /** 开始 用户所属部门id */
    private Long deptIdStart;

    /** 结束 用户所属部门id */
    private Long deptIdEnd;

    /** 增加 用户所属部门id */
    private Long deptIdIncrement;

    /** 用户所属部门id列表 */
    private List <Long> deptIdList;

    /** 用户所属部门id排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 所属站点id,多个逗号分隔 */
    private List<String> siteIdsList;

    /** 所属站点id,多个逗号分隔排除列表 */
    private List <String> siteIdsNotList;
    /** 所属区域code,多个逗号分隔 */
    private List<String> areaCodesList;

    /** 所属区域code,多个逗号分隔排除列表 */
    private List <String> areaCodesNotList;
    /** 开始 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职) */
    private Integer statusStart;

    /** 结束 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职) */
    private Integer statusEnd;

    /** 增加 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职) */
    private Integer statusIncrement;

    /** 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)列表 */
    private List <Integer> statusList;

    /** 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)排除列表 */
    private List <Integer> statusNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 最后一次登录时间 */
    private String lastLoginTimeStart;

    /** 结束 最后一次登录时间 */
    private String lastLoginTimeEnd;

    /** 最后一次登录地址 */
    private List<String> lastLoginAddressList;

    /** 最后一次登录地址排除列表 */
    private List <String> lastLoginAddressNotList;


    /** 钉钉userId */
    private List<String> dingUserIdList;

    /** 钉钉userId排除列表 */
    private List <String> dingUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<UserQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<UserQuery> andConditionList;

    public UserQuery(){}

    /**
     * 获取 开始 用户ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 用户ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 用户ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 用户ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 用户ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 用户ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 用户ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 用户ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 用户ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 用户ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 登录名
     * @return loginNameList
     */
    public List<String> getLoginNameList(){
        return this.loginNameList;
    }

    /**
     * 设置 登录名
     * @param loginNameList
     */
    public void setLoginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
    }

    /**
     * 获取 登录名
     * @return loginNameNotList
     */
    public List<String> getLoginNameNotList(){
        return this.loginNameNotList;
    }

    /**
     * 设置 登录名
     * @param loginNameNotList
     */
    public void setLoginNameNotList(List<String> loginNameNotList){
        this.loginNameNotList = loginNameNotList;
    }

    /**
     * 获取 登录密码，使用md5双次加密
     * @return loginPwdList
     */
    public List<String> getLoginPwdList(){
        return this.loginPwdList;
    }

    /**
     * 设置 登录密码，使用md5双次加密
     * @param loginPwdList
     */
    public void setLoginPwdList(List<String> loginPwdList){
        this.loginPwdList = loginPwdList;
    }

    /**
     * 获取 登录密码，使用md5双次加密
     * @return loginPwdNotList
     */
    public List<String> getLoginPwdNotList(){
        return this.loginPwdNotList;
    }

    /**
     * 设置 登录密码，使用md5双次加密
     * @param loginPwdNotList
     */
    public void setLoginPwdNotList(List<String> loginPwdNotList){
        this.loginPwdNotList = loginPwdNotList;
    }

    /**
     * 获取 登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
     * @return loginLimitAddressList
     */
    public List<String> getLoginLimitAddressList(){
        return this.loginLimitAddressList;
    }

    /**
     * 设置 登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
     * @param loginLimitAddressList
     */
    public void setLoginLimitAddressList(List<String> loginLimitAddressList){
        this.loginLimitAddressList = loginLimitAddressList;
    }

    /**
     * 获取 登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
     * @return loginLimitAddressNotList
     */
    public List<String> getLoginLimitAddressNotList(){
        return this.loginLimitAddressNotList;
    }

    /**
     * 设置 登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
     * @param loginLimitAddressNotList
     */
    public void setLoginLimitAddressNotList(List<String> loginLimitAddressNotList){
        this.loginLimitAddressNotList = loginLimitAddressNotList;
    }

    /**
     * 获取 用户名
     * @return realNameList
     */
    public List<String> getRealNameList(){
        return this.realNameList;
    }

    /**
     * 设置 用户名
     * @param realNameList
     */
    public void setRealNameList(List<String> realNameList){
        this.realNameList = realNameList;
    }

    /**
     * 获取 用户名
     * @return realNameNotList
     */
    public List<String> getRealNameNotList(){
        return this.realNameNotList;
    }

    /**
     * 设置 用户名
     * @param realNameNotList
     */
    public void setRealNameNotList(List<String> realNameNotList){
        this.realNameNotList = realNameNotList;
    }

    /**
     * 获取 用户手机号
     * @return mobileList
     */
    public List<String> getMobileList(){
        return this.mobileList;
    }

    /**
     * 设置 用户手机号
     * @param mobileList
     */
    public void setMobileList(List<String> mobileList){
        this.mobileList = mobileList;
    }

    /**
     * 获取 用户手机号
     * @return mobileNotList
     */
    public List<String> getMobileNotList(){
        return this.mobileNotList;
    }

    /**
     * 设置 用户手机号
     * @param mobileNotList
     */
    public void setMobileNotList(List<String> mobileNotList){
        this.mobileNotList = mobileNotList;
    }

    /**
     * 获取 用户联系电话
     * @return phoneList
     */
    public List<String> getPhoneList(){
        return this.phoneList;
    }

    /**
     * 设置 用户联系电话
     * @param phoneList
     */
    public void setPhoneList(List<String> phoneList){
        this.phoneList = phoneList;
    }

    /**
     * 获取 用户联系电话
     * @return phoneNotList
     */
    public List<String> getPhoneNotList(){
        return this.phoneNotList;
    }

    /**
     * 设置 用户联系电话
     * @param phoneNotList
     */
    public void setPhoneNotList(List<String> phoneNotList){
        this.phoneNotList = phoneNotList;
    }

    /**
     * 获取 用户邮箱
     * @return emailList
     */
    public List<String> getEmailList(){
        return this.emailList;
    }

    /**
     * 设置 用户邮箱
     * @param emailList
     */
    public void setEmailList(List<String> emailList){
        this.emailList = emailList;
    }

    /**
     * 获取 用户邮箱
     * @return emailNotList
     */
    public List<String> getEmailNotList(){
        return this.emailNotList;
    }

    /**
     * 设置 用户邮箱
     * @param emailNotList
     */
    public void setEmailNotList(List<String> emailNotList){
        this.emailNotList = emailNotList;
    }

    /**
     * 获取 QQ号码
     * @return qqList
     */
    public List<String> getQqList(){
        return this.qqList;
    }

    /**
     * 设置 QQ号码
     * @param qqList
     */
    public void setQqList(List<String> qqList){
        this.qqList = qqList;
    }

    /**
     * 获取 QQ号码
     * @return qqNotList
     */
    public List<String> getQqNotList(){
        return this.qqNotList;
    }

    /**
     * 设置 QQ号码
     * @param qqNotList
     */
    public void setQqNotList(List<String> qqNotList){
        this.qqNotList = qqNotList;
    }

    /**
     * 获取 开始 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @return userTypeStart
     */
    public Integer getUserTypeStart(){
        return this.userTypeStart;
    }

    /**
     * 设置 开始 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @param userTypeStart
     */
    public void setUserTypeStart(Integer userTypeStart){
        this.userTypeStart = userTypeStart;
    }

    /**
     * 获取 结束 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @return $userTypeEnd
     */
    public Integer getUserTypeEnd(){
        return this.userTypeEnd;
    }

    /**
     * 设置 结束 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @param userTypeEnd
     */
    public void setUserTypeEnd(Integer userTypeEnd){
        this.userTypeEnd = userTypeEnd;
    }

    /**
     * 获取 增加 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @return userTypeIncrement
     */
    public Integer getUserTypeIncrement(){
        return this.userTypeIncrement;
    }

    /**
     * 设置 增加 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @param userTypeIncrement
     */
    public void setUserTypeIncrement(Integer userTypeIncrement){
        this.userTypeIncrement = userTypeIncrement;
    }

    /**
     * 获取 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @return userTypeList
     */
    public List<Integer> getUserTypeList(){
        return this.userTypeList;
    }

    /**
     * 设置 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @param userTypeList
     */
    public void setUserTypeList(List<Integer> userTypeList){
        this.userTypeList = userTypeList;
    }

    /**
     * 获取 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @return userTypeNotList
     */
    public List<Integer> getUserTypeNotList(){
        return this.userTypeNotList;
    }

    /**
     * 设置 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @param userTypeNotList
     */
    public void setUserTypeNotList(List<Integer> userTypeNotList){
        this.userTypeNotList = userTypeNotList;
    }


    /**
     * 获取 开始 用户所属部门id
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 用户所属部门id
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 用户所属部门id
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 用户所属部门id
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 用户所属部门id
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 用户所属部门id
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 用户所属部门id
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 用户所属部门id
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 用户所属部门id
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 用户所属部门id
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 所属部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 所属部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 所属站点id,多个逗号分隔
     * @return siteIdsList
     */
    public List<String> getSiteIdsList(){
        return this.siteIdsList;
    }

    /**
     * 设置 所属站点id,多个逗号分隔
     * @param siteIdsList
     */
    public void setSiteIdsList(List<String> siteIdsList){
        this.siteIdsList = siteIdsList;
    }

    /**
     * 获取 所属站点id,多个逗号分隔
     * @return siteIdsNotList
     */
    public List<String> getSiteIdsNotList(){
        return this.siteIdsNotList;
    }

    /**
     * 设置 所属站点id,多个逗号分隔
     * @param siteIdsNotList
     */
    public void setSiteIdsNotList(List<String> siteIdsNotList){
        this.siteIdsNotList = siteIdsNotList;
    }

    /**
     * 获取 所属区域code,多个逗号分隔
     * @return areaCodesList
     */
    public List<String> getAreaCodesList(){
        return this.areaCodesList;
    }

    /**
     * 设置 所属区域code,多个逗号分隔
     * @param areaCodesList
     */
    public void setAreaCodesList(List<String> areaCodesList){
        this.areaCodesList = areaCodesList;
    }

    /**
     * 获取 所属区域code,多个逗号分隔
     * @return areaCodesNotList
     */
    public List<String> getAreaCodesNotList(){
        return this.areaCodesNotList;
    }

    /**
     * 设置 所属区域code,多个逗号分隔
     * @param areaCodesNotList
     */
    public void setAreaCodesNotList(List<String> areaCodesNotList){
        this.areaCodesNotList = areaCodesNotList;
    }

    /**
     * 获取 开始 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @return statusStart
     */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
     * 设置 开始 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @param statusStart
     */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
     * 获取 结束 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @return $statusEnd
     */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
     * 设置 结束 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @param statusEnd
     */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
     * 获取 增加 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @return statusIncrement
     */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
     * 设置 增加 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @param statusIncrement
     */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
     * 获取 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @return statusList
     */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
     * 设置 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @param statusList
     */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
     * 获取 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @return statusNotList
     */
    public List<Integer> getStatusNotList(){
        return this.statusNotList;
    }

    /**
     * 设置 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @param statusNotList
     */
    public void setStatusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 创建用户名称
     * @return createUserNameList
     */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameList
     */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
     * 获取 创建用户名称
     * @return createUserNameNotList
     */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameNotList
     */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
     * 获取 开始 最后一次登录时间
     * @return lastLoginTimeStart
     */
    public String getLastLoginTimeStart(){
        return this.lastLoginTimeStart;
    }

    /**
     * 设置 开始 最后一次登录时间
     * @param lastLoginTimeStart
     */
    public void setLastLoginTimeStart(String lastLoginTimeStart){
        this.lastLoginTimeStart = lastLoginTimeStart;
    }

    /**
     * 获取 结束 最后一次登录时间
     * @return lastLoginTimeEnd
     */
    public String getLastLoginTimeEnd(){
        return this.lastLoginTimeEnd;
    }

    /**
     * 设置 结束 最后一次登录时间
     * @param lastLoginTimeEnd
     */
    public void setLastLoginTimeEnd(String lastLoginTimeEnd){
        this.lastLoginTimeEnd = lastLoginTimeEnd;
    }

    /**
     * 获取 最后一次登录地址
     * @return lastLoginAddressList
     */
    public List<String> getLastLoginAddressList(){
        return this.lastLoginAddressList;
    }

    /**
     * 设置 最后一次登录地址
     * @param lastLoginAddressList
     */
    public void setLastLoginAddressList(List<String> lastLoginAddressList){
        this.lastLoginAddressList = lastLoginAddressList;
    }

    /**
     * 获取 最后一次登录地址
     * @return lastLoginAddressNotList
     */
    public List<String> getLastLoginAddressNotList(){
        return this.lastLoginAddressNotList;
    }

    /**
     * 设置 最后一次登录地址
     * @param lastLoginAddressNotList
     */
    public void setLastLoginAddressNotList(List<String> lastLoginAddressNotList){
        this.lastLoginAddressNotList = lastLoginAddressNotList;
    }

    /**
     * 设置  用户ID，主键，自增长
     * @param id
     */
    public UserQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 用户ID，主键，自增长
     * @param idStart
     */
    public UserQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 用户ID，主键，自增长
     * @param idEnd
     */
    public UserQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 用户ID，主键，自增长
     * @param idIncrement
     */
    public UserQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 用户ID，主键，自增长
     * @param idList
     */
    public UserQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 用户ID，主键，自增长
     * @param idNotList
     */
    public UserQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 登录名
     * @param loginName
     */
    public UserQuery loginName(String loginName){
        setLoginName(loginName);
        return this;
    }

    /**
     * 设置 登录名
     * @param loginNameList
     */
    public UserQuery loginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
        return this;
    }


    /**
     * 设置 登录密码，使用md5双次加密
     * @param loginPwd
     */
    public UserQuery loginPwd(String loginPwd){
        setLoginPwd(loginPwd);
        return this;
    }

    /**
     * 设置 登录密码，使用md5双次加密
     * @param loginPwdList
     */
    public UserQuery loginPwdList(List<String> loginPwdList){
        this.loginPwdList = loginPwdList;
        return this;
    }


    /**
     * 设置 登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
     * @param loginLimitAddress
     */
    public UserQuery loginLimitAddress(String loginLimitAddress){
        setLoginLimitAddress(loginLimitAddress);
        return this;
    }

    /**
     * 设置 登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
     * @param loginLimitAddressList
     */
    public UserQuery loginLimitAddressList(List<String> loginLimitAddressList){
        this.loginLimitAddressList = loginLimitAddressList;
        return this;
    }


    /**
     * 设置 用户名
     * @param realName
     */
    public UserQuery realName(String realName){
        setRealName(realName);
        return this;
    }

    /**
     * 设置 用户名
     * @param realNameList
     */
    public UserQuery realNameList(List<String> realNameList){
        this.realNameList = realNameList;
        return this;
    }


    /**
     * 设置 用户手机号
     * @param mobile
     */
    public UserQuery mobile(String mobile){
        setMobile(mobile);
        return this;
    }

    /**
     * 设置 用户手机号
     * @param mobileList
     */
    public UserQuery mobileList(List<String> mobileList){
        this.mobileList = mobileList;
        return this;
    }


    /**
     * 设置 用户联系电话
     * @param phone
     */
    public UserQuery phone(String phone){
        setPhone(phone);
        return this;
    }

    /**
     * 设置 用户联系电话
     * @param phoneList
     */
    public UserQuery phoneList(List<String> phoneList){
        this.phoneList = phoneList;
        return this;
    }


    /**
     * 设置 用户邮箱
     * @param email
     */
    public UserQuery email(String email){
        setEmail(email);
        return this;
    }

    /**
     * 设置 用户邮箱
     * @param emailList
     */
    public UserQuery emailList(List<String> emailList){
        this.emailList = emailList;
        return this;
    }


    /**
     * 设置 QQ号码
     * @param qq
     */
    public UserQuery qq(String qq){
        setQq(qq);
        return this;
    }

    /**
     * 设置 QQ号码
     * @param qqList
     */
    public UserQuery qqList(List<String> qqList){
        this.qqList = qqList;
        return this;
    }

    /**
     * 设置  用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @param userType
     */
    public UserQuery userType(Integer userType){
        setUserType(userType);
        return this;
    }

    /**
     * 设置 开始 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @param userTypeStart
     */
    public UserQuery userTypeStart(Integer userTypeStart){
        this.userTypeStart = userTypeStart;
        return this;
    }

    /**
     * 设置 结束 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @param userTypeEnd
     */
    public UserQuery userTypeEnd(Integer userTypeEnd){
        this.userTypeEnd = userTypeEnd;
        return this;
    }

    /**
     * 设置 增加 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @param userTypeIncrement
     */
    public UserQuery userTypeIncrement(Integer userTypeIncrement){
        this.userTypeIncrement = userTypeIncrement;
        return this;
    }

    /**
     * 设置 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @param userTypeList
     */
    public UserQuery userTypeList(List<Integer> userTypeList){
        this.userTypeList = userTypeList;
        return this;
    }

    /**
     * 设置 用户类型(0.系统用户,1.后台管理,2.工作人员)
     * @param userTypeNotList
     */
    public UserQuery userTypeNotList(List<Integer> userTypeNotList){
        this.userTypeNotList = userTypeNotList;
        return this;
    }

    /**
     * 设置  用户所属部门id
     * @param deptId
     */
    public UserQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 用户所属部门id
     * @param deptIdStart
     */
    public UserQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 用户所属部门id
     * @param deptIdEnd
     */
    public UserQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 用户所属部门id
     * @param deptIdIncrement
     */
    public UserQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 用户所属部门id
     * @param deptIdList
     */
    public UserQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 用户所属部门id
     * @param deptIdNotList
     */
    public UserQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 所属部门名称
     * @param deptName
     */
    public UserQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public UserQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 所属站点id,多个逗号分隔
     * @param siteIds
     */
    public UserQuery siteIds(String siteIds){
        setSiteIds(siteIds);
        return this;
    }

    /**
     * 设置 所属站点id,多个逗号分隔
     * @param siteIdsList
     */
    public UserQuery siteIdsList(List<String> siteIdsList){
        this.siteIdsList = siteIdsList;
        return this;
    }


    /**
     * 设置 所属区域code,多个逗号分隔
     * @param areaCodes
     */
    public UserQuery areaCodes(String areaCodes){
        setAreaCodes(areaCodes);
        return this;
    }

    /**
     * 设置 所属区域code,多个逗号分隔
     * @param areaCodesList
     */
    public UserQuery areaCodesList(List<String> areaCodesList){
        this.areaCodesList = areaCodesList;
        return this;
    }

    /**
     * 设置  用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @param status
     */
    public UserQuery status(Integer status){
        setStatus(status);
        return this;
    }

    /**
     * 设置 开始 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @param statusStart
     */
    public UserQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
        return this;
    }

    /**
     * 设置 结束 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @param statusEnd
     */
    public UserQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
        return this;
    }

    /**
     * 设置 增加 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @param statusIncrement
     */
    public UserQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
        return this;
    }

    /**
     * 设置 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @param statusList
     */
    public UserQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
        return this;
    }

    /**
     * 设置 用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
     * @param statusNotList
     */
    public UserQuery statusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public UserQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public UserQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public UserQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public UserQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public UserQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public UserQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置 创建用户名称
     * @param createUserName
     */
    public UserQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
        return this;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameList
     */
    public UserQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
        return this;
    }



    /**
     * 设置 最后一次登录地址
     * @param lastLoginAddress
     */
    public UserQuery lastLoginAddress(String lastLoginAddress){
        setLastLoginAddress(lastLoginAddress);
        return this;
    }

    /**
     * 设置 最后一次登录地址
     * @param lastLoginAddressList
     */
    public UserQuery lastLoginAddressList(List<String> lastLoginAddressList){
        this.lastLoginAddressList = lastLoginAddressList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<UserQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<UserQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<UserQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<UserQuery> andConditionList){
        this.andConditionList = andConditionList;
    }


    /**
     * 设置 钉钉userId
     * @param dingUserId
     */
    public UserQuery dingUserId(String dingUserId){
        setDingUserId(dingUserId);
        return this;
    }

    /**
     * 设置 钉钉userId
     * @param dingUserIdList
     */
    public UserQuery dingUserIdList(List<String> dingUserIdList){
        this.dingUserIdList = dingUserIdList;
        return this;
    }

}